Save Melhor Envio OAuth credentials
curl --request POST \
--url https://api-global.fastpaybrasil.com/v1/melhor-envio/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"clientSecret": "<string>"
}
'import requests
url = "https://api-global.fastpaybrasil.com/v1/melhor-envio/credentials"
payload = {
"clientId": "<string>",
"clientSecret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<string>', clientSecret: '<string>'})
};
fetch('https://api-global.fastpaybrasil.com/v1/melhor-envio/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Credenciais salvas com sucesso"
}Melhor Envio
Save Melhor Envio OAuth credentials
Stores the Client ID and Client Secret of the merchant’s own Melhor Envio app. The Client Secret is encrypted at rest and never returned in API responses.
Must be called before initiating the OAuth flow with
GET /v1/melhor-envio/oauth/authorize.
POST
/
v1
/
melhor-envio
/
credentials
Save Melhor Envio OAuth credentials
Authorizations
JWT Bearer token authentication. Use the JWT token obtained from the login endpoint in the Authorization header as 'Bearer {token}'.
Body
application/json
Response
200 - application/json
Credentials saved
Example:
"Credenciais salvas com sucesso"